Index: c/src/lib/libcpu/hppa1.1/Makefile.in
===================================================================
--- c/src/lib/libcpu/hppa1.1/Makefile.in	(revision bb11d7e540a1ec81d6c175592c456506e4f4c739)
+++ c/src/lib/libcpu/hppa1.1/Makefile.in	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
@@ -19,5 +19,5 @@
 INSTALL_CHANGE = @INSTALL_CHANGE@
 
-SUB_DIRS = include milli runway clock timer semaphore
+SUB_DIRS = include milli clock timer semaphore
 
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: c/src/lib/libcpu/hppa1.1/include/Makefile.in
===================================================================
--- c/src/lib/libcpu/hppa1.1/include/Makefile.in	(revision bb11d7e540a1ec81d6c175592c456506e4f4c739)
+++ c/src/lib/libcpu/hppa1.1/include/Makefile.in	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
@@ -1,4 +1,4 @@
 #
-#  $Id$
+# $Id$
 #
 
@@ -14,11 +14,30 @@
 VPATH = @srcdir@
 
+H_FILES = $(srcdir)/runway.h $(srcdir)/semaphore.h 
+
+SRCS = $(H_FILES)
+
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
 INSTALL_CHANGE = @INSTALL_CHANGE@
+mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
 
-all: FORCEIT
-	cd ../../../libbsp/$(RTEMS_CPU)/@RTEMS_BSP@/include; $(MAKE) all
+INSTALLDIRS = $(PROJECT_INCLUDE)/hppa1.1
+
+$(INSTALLDIRS):
+	@$(mkinstalldirs) $(INSTALLDIRS)
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+all: install
+
+# NOTE: Unlike other CPUS, we install into a subdirectory to avoid 
+#       file name conflicts
+
+install: 
+	$(mkinstalldirs) $(PROJECT_INCLUDE)/hppa1.1 
+	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)/hppa1.1
 
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: c/src/lib/libcpu/hppa1.1/include/runway.h
===================================================================
--- c/src/lib/libcpu/hppa1.1/include/runway.h	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
+++ c/src/lib/libcpu/hppa1.1/include/runway.h	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
@@ -0,0 +1,37 @@
+/*
+ *  File:       $RCSfile$
+ *  Project:    PixelFlow
+ *  Created:    94/11/29
+ *  RespEngr:   tony bennett
+ *  Revision:   $Revision$
+ *  Last Mod:   $Date$
+ *
+ *  Description:
+ *      definitions specific to the runway bus
+ *
+ *  TODO:
+ *      Add lots more.
+ *
+ *  $Id$
+ */
+
+#ifndef _INCLUDE_RUNWAY_H
+#define _INCLUDE_RUNWAY_H
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#define HPPA_RUNWAY_PROC_HPA_BASE  ((void *) 0xFFFA0000)
+
+/* given a processor number, where is its HPA? */
+#define HPPA_RUNWAY_HPA(cpu)   \
+  ((rtems_unsigned32) (HPPA_RUNWAY_PROC_HPA_BASE + ((cpu) * 0x2000)))
+
+#define HPPA_RUNWAY_REG_IO_EIR_OFFSET   0x000
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* ! _INCLUDE_RUNWAY_H */
Index: c/src/lib/libcpu/hppa1.1/include/semaphore.h
===================================================================
--- c/src/lib/libcpu/hppa1.1/include/semaphore.h	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
+++ c/src/lib/libcpu/hppa1.1/include/semaphore.h	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
@@ -0,0 +1,70 @@
+/*
+ *  Description:
+ *      HPPA fast spinlock semaphores based on LDCWX instruction.
+ *      These semaphores are not known to RTEMS.
+ *
+ *  TODO:
+ *
+ *  COPYRIGHT (c) 1994,95 by Division Incorporated
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#ifndef _INCLUDE_HPPA1_1_SEMAPHORE_H
+#define _INCLUDE_HPPA1_1_SEMAPHORE_H
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/*
+ * This structure has hardware requirements.
+ * LDCWX opcode requires 16byte alignment for the lock
+ * 'lock' must be first member of structure.
+ */
+
+#define SEM_ALIGN  16
+
+typedef volatile struct {
+
+    rtems_unsigned32 lock __attribute__ ((aligned (SEM_ALIGN)));
+
+    rtems_unsigned32 flags;
+
+    void *owner_tcb;            /* for debug/commentary only */
+
+    rtems_unsigned32 user;      /* for use by user */
+
+} hppa_semaphore_t;
+
+/*
+ * Values for flags
+ */
+
+#define HPPA_SEM_IN_USE            0x0001  /* semaphore owned by somebody */
+#define HPPA_SEM_NO_SPIN           0x0002  /* don't spin if unavailable */
+#define HPPA_SEM_INITIALLY_FREE    0x0004  /* init it to be free */
+
+/*
+ * Caller specifiable flags
+ */
+
+#define HPPA_SEM_CALLER_FLAGS (HPPA_SEM_NO_SPIN | HPPA_SEM_INITIALLY_FREE)
+
+void hppa_semaphore_pool_initialize(void *pool_base, int pool_size);
+
+rtems_unsigned32  hppa_semaphore_acquire(hppa_semaphore_t *sp, int flag);
+
+void hppa_semaphore_release(hppa_semaphore_t *sp);
+
+hppa_semaphore_t *hppa_semaphore_allocate(rtems_unsigned32 which, int flag);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* ! _INCLUDE_SEMAPHORE_H */
Index: c/src/lib/libcpu/hppa1.1/semaphore/Makefile.in
===================================================================
--- c/src/lib/libcpu/hppa1.1/semaphore/Makefile.in	(revision bb11d7e540a1ec81d6c175592c456506e4f4c739)
+++ c/src/lib/libcpu/hppa1.1/semaphore/Makefile.in	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
@@ -21,5 +21,5 @@
 C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
 
-H_PIECES = semaphore
+H_PIECES =
 H_FILES = $(H_PIECES:%=$(srcdir)/%.h)
 
@@ -38,5 +38,5 @@
 mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
 
-INSTALLDIRS = $(PROJECT_INCLUDE)
+INSTALLDIRS = $(PROJECT_INCLUDE)/hppa1.1
 
 $(INSTALLDIRS):
@@ -64,5 +64,4 @@
 
 all: ${ARCH} $(SRCS) $(PGM)
-	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)
 
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: c/src/lib/libcpu/hppa1.1/semaphore/semaphore.c
===================================================================
--- c/src/lib/libcpu/hppa1.1/semaphore/semaphore.c	(revision bb11d7e540a1ec81d6c175592c456506e4f4c739)
+++ c/src/lib/libcpu/hppa1.1/semaphore/semaphore.c	(revision 9af31a6e92b51e5dbaa3d6212b607828e506ef85)
@@ -19,5 +19,5 @@
 #include <rtems.h>
 
-#include "semaphore.h"
+#include <hppa1.1/semaphore.h>
 
 /*
Index: src/lib/libcpu/hppa1.1/semaphore/semaphore.h
===================================================================
--- c/src/lib/libcpu/hppa1.1/semaphore/semaphore.h	(revision bb11d7e540a1ec81d6c175592c456506e4f4c739)
+++ 	(revision )
@@ -1,70 +1,0 @@
-/*
- *  Description:
- *      HPPA fast spinlock semaphores based on LDCWX instruction.
- *      These semaphores are not known to RTEMS.
- *
- *  TODO:
- *
- *  COPYRIGHT (c) 1994,95 by Division Incorporated
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#ifndef _INCLUDE_SEMAPHORE_H
-#define _INCLUDE_SEMAPHORE_H
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/*
- * This structure has hardware requirements.
- * LDCWX opcode requires 16byte alignment for the lock
- * 'lock' must be first member of structure.
- */
-
-#define SEM_ALIGN  16
-
-typedef volatile struct {
-
-    rtems_unsigned32 lock __attribute__ ((aligned (SEM_ALIGN)));
-
-    rtems_unsigned32 flags;
-
-    void *owner_tcb;            /* for debug/commentary only */
-
-    rtems_unsigned32 user;      /* for use by user */
-
-} hppa_semaphore_t;
-
-/*
- * Values for flags
- */
-
-#define HPPA_SEM_IN_USE            0x0001  /* semaphore owned by somebody */
-#define HPPA_SEM_NO_SPIN           0x0002  /* don't spin if unavailable */
-#define HPPA_SEM_INITIALLY_FREE    0x0004  /* init it to be free */
-
-/*
- * Caller specifiable flags
- */
-
-#define HPPA_SEM_CALLER_FLAGS (HPPA_SEM_NO_SPIN | HPPA_SEM_INITIALLY_FREE)
-
-void hppa_semaphore_pool_initialize(void *pool_base, int pool_size);
-
-rtems_unsigned32  hppa_semaphore_acquire(hppa_semaphore_t *sp, int flag);
-
-void hppa_semaphore_release(hppa_semaphore_t *sp);
-
-hppa_semaphore_t *hppa_semaphore_allocate(rtems_unsigned32 which, int flag);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif /* ! _INCLUDE_SEMAPHORE_H */
